Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface MultiColumnFeature

All Superinterfaces:
  Feature, GraphicalM4Object, M4Data, M4Object, ParameterObject

All Known Implementing Classes:
  MultiColumnFeature

    public interface MultiColumnFeature

extends Feature

Version:
  $Id: MultiColumnFeature.java,v 1.4 2006/09/27 14:59:57 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Method Summary
`void` | `addBaseAttribute(BaseAttribute ba)`
`MultiColumnFeature` | `copy()` Copy this MultiColumnFeature.
`BaseAttribute` | `getBaseAttributeByName(java.lang.String name)`
`java.util.Collection` | `getBaseAttributes()` Getter method.
`boolean` | `hasBaseAttribute(BaseAttribute ba)`
`boolean` | `isDeselected()`
`boolean` | `removeBaseAttribute(BaseAttribute ba)`
`void` | `setBaseAttributes(java.util.Collection theAttribs)` Setter method.

Methods inherited from interface edu.udo.cs.miningmart.m4.Feature
`copy, correspondsTo, getConcept, getParameterWhereThisIsOutputFeature, isRelationallyValid, removeLinkToColumns, setConcept`

Methods inherited from interface edu.udo.cs.miningmart.m4.ParameterObject
`addParameterReference, getParameterReferences, removeParameterReference`

Methods inherited from interface edu.udo.cs.miningmart.m4.GraphicalM4Object
`getPoint, setPoint`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Method Detail

### getBaseAttributes

    java.util.Collection getBaseAttributes()
                                           throws M4Exception

  Getter method.

  Returns:
    all BaseAttributes that are bundled in this MCF.
  Throws:
    `M4Exception`

### setBaseAttributes

    void setBaseAttributes(java.util.Collection theAttribs)
                           throws M4Exception

  Setter method.

  Parameters:
    `a` - `Collection` of the new BaseAttributes for this MCF.
  Throws:
    `M4Exception`

### hasBaseAttribute

    boolean hasBaseAttribute(BaseAttribute ba)
                             throws M4Exception

  Parameters:
    `ba` - a `BaseAttribute`
  Returns:
    `true` if a `BaseAttribute` with the same ID is already linked to this `MultiColumnFeature`
  Throws:
    `M4Exception`

### addBaseAttribute

    void addBaseAttribute(BaseAttribute ba)
                          throws M4Exception

  Throws:
    `M4Exception`

### getBaseAttributeByName

    BaseAttribute getBaseAttributeByName(java.lang.String name)
                                         throws M4Exception

  Parameters:
    `name` - the name
  Returns:
    the `BaseAttribute` with the given name if there is one (ignoring case); `null` otherwise
  Throws:
    `M4Exception`

### removeBaseAttribute

    boolean removeBaseAttribute(BaseAttribute ba)
                                throws M4Exception

  Throws:
    `M4Exception`

### copy

    MultiColumnFeature copy()
                            throws M4Exception

  Copy this MultiColumnFeature.

  Returns:
    A clone of this MCF with ID 0, because it does not exist in the DB yet.
  Throws:
    `M4Exception`

### isDeselected

    boolean isDeselected()
                         throws M4CompilerError

  Specified by:
    `isDeselected` in interface `Feature`
  Returns:
    `true` iff this `MultiColumnFeature` has been "deselected" by a `FeatureSelection` operator or has not been connected by the user. A `MultiColumnFeature` is considered deselected, if one of its `BaseAttributes` has been deselected.
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005